@import 'breakpoint-sass/stylesheets/breakpoint';
@import '../../../styles/colors';
@import '../../../styles/breakpoints';

.main-nav {
  width: 100%;
  height: 60px;
  margin-bottom: 20px;
  // border-bottom: 1px solid $color-botticelli;
  background-color: $color-deep-cerulean;
  background: linear-gradient(to bottom, #009ab0, $color-deep-cerulean);
  box-shadow: 0 0 4px 1px rgba($color-thunder, 0.3);

  @include breakpoint($all-but-xl) {
    padding: 0 15px;
  }

  &__inner-container {
    max-width: 960px;
    margin: 0 auto;
  }

  &__logo-link,
  &__main-links,
  &__secondary-links {
    float: left;
  }

  &__logo-link {
    display: inline-block;
    height: 60px;
  }

  &__logo {
    width: 88px;
    height: 35px;
    margin: 12px 10px 12px 0;
    fill: $color-white;

    @include breakpoint($small) {
      width: 70px;
    }
  }

  &__secondary-links {
    float: right;
  }

  &__main-link {
    display: inline-block;
    position: relative;
    height: 60px;
    padding: 0 10px;
    color: $color-white;
    font-size: 16px;
    font-weight: 600;
    line-height: 65px;
    text-decoration: none;

    &--active:before {
      content: '';
      position: absolute;
      top: 44px;
      left: 0;
      width: 79%;
      height: 3px;
      margin-left: 11%;
      background-color: $color-white;
    }

    &--notification {
      &:after {
        content: '';
        position: absolute;
        top: 19px;
        right: 0;
        width: 9px;
        height: 9px;
        background-color: $color-supernova;
        border-radius: 9px;
        box-shadow: 0 2px 1px 0 rgba($color-thunder, 0.5);
      }
    }
  }

  &__secondary-link {
    display: inline-block;
    height: 60px;
    padding: 0 7px;
    color: $color-white;
    font-size: 14px;
    line-height: 65px;
    text-decoration: none;

    &--hidden {
      display: none;
    }
  }

  &__user-icon {
    width: 20px;
    height: 20px;
    margin-top: 5px;
    fill: $color-white;
    float: right;
  }
}
